@if (componentData) {
  <div class="flex">
    <label class="block-title flex-row">
      {{ 'sqtm-core.entity.scm-server.credentials.label' | translate }}
    </label>
    @if (componentData.scmServer.authProtocol === 'BASIC_AUTH') {
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="outline"
        class="m-l-5 font-18-px current-workspace-main-color"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.servers.scm-servers.credentials.basic.tooltip'
            | translate
        "
      >
      </i>
    }
  </div>
  <div class="block-border p-l-10 m-t-8">
    <sqtm-core-third-party-credentials-form
      (submit)="sendCredentialsForm($event)"
      [authenticationProtocol]="componentData.scmServer.authProtocol"
      [credentials]="componentData.scmServer.credentials"
      [useRevokeButton]="false"
    >
    </sqtm-core-third-party-credentials-form>
    <div class="flex-row">
      <sqtm-core-simple-checkbox
        class="flex-fixed-size"
        [value]="credentialsNotShared()"
        (clickedInActiveMode)="onClickCheckbox()"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.servers.scm-servers.credentials.shared.tooltip'
            | translate
        "
      >
      </sqtm-core-simple-checkbox>
      <label
        class="m-l-10"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.servers.scm-servers.credentials.shared.tooltip'
            | translate
        "
      >
        {{
          'sqtm-core.administration-workspace.servers.scm-servers.credentials.shared.label'
            | translate
        }}
      </label>
    </div>

    <sqtm-core-third-party-credentials-form-status
      class="full-row flex-row"
      [statusIcon]="statusIcon"
      [statusMessage]="credentialsStatusMessage"
    >
    </sqtm-core-third-party-credentials-form-status>
  </div>
}
